Package org.eclipse.cdt.core.parser

# Interface IMacro

All Known Implementing Classes:
  `AbstractScannerExtensionConfiguration.MacroDefinition`

public interface IMacro
Interface to provide macro definitions in an IScannerExtensionConfiguration.

## Method Summary

Modifier and Type
Method
Description
`char[]`
`getExpansion()`
Returns the expansion for this macro.
`char[]`
`getSignature()`
Return the signature of a macro, which is the name for object style macros and the name followed by the comma-separated parameters put in parenthesis.

## Method Details

### getSignature

char[] getSignature()
Return the signature of a macro, which is the name for object style macros and the name followed by the comma-separated parameters put in parenthesis. For example: 'funcStyleMacro(par1, par2)'.

### getExpansion

char[] getExpansion()
Returns the expansion for this macro.